#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-chardet
Version		:	3.0.4
Release		:	16.2.0.rel%{?dist}
Summary		:	Universal Character Encoding Detector
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://pypi.org/project/chardet

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Chardet: The Universal Character Encoding Detector

Detects:
 * ASCII, UTF-8, UTF-16 (2 variants), UTF-32 (4 variants)
 * Big5, GB2312, EUC-TW, HZ-GB-2312, ISO-2022-CN (Traditional and Simplified Chinese)
 * EUC-JP, SHIFT_JIS, CP932, ISO-2022-JP (Japanese)
 * EUC-KR, ISO-2022-KR (Korean)
 * KOI8-R, MacCyrillic, IBM855, IBM866, ISO-8859-5, windows-1251 (Cyrillic)
 * ISO-8859-5, windows-1251 (Bulgarian)
 * ISO-8859-1, windows-1252 (Western European languages)
 * ISO-8859-7, windows-1253 (Greek)
 * ISO-8859-8, windows-1255 (Visual and Logical Hebrew)
 * TIS-620 (Thai)

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE README.rst
%{_bindir}/%{sname}ect
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/*.py
%{python3_sitelib}/%{sname}/cli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
